/*
 * (C) Copyright IBM Corp. 1999  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.parsers;

import org.xml.sax.SAXNotRecognizedException;
import org.xml.sax.SAXNotSupportedException;
/**
 * ValidatingSAXParser exists to provide backwards compatibility with XML4J V2.0
 *
 * @deprecated The W3C's DOM L3 working group will specify a standardized API for
 *             parser instantiation.  XML4J and Xerces will switch to this API
 *             when it becomes available
 *
 * @version %M% %I% %W% %Q%
 */
public class ValidatingSAXParser extends com.ibm.xml.parsers.SAXParser
{
    /**
     *
     */
    public ValidatingSAXParser() {
        try {
            fParser.setFeature("http://xml.org/sax/features/validation", true);
        } catch (org.xml.sax.SAXException se) {
            se.printStackTrace();
        }
        try {
            fParser.setFeature( "http://xml.org/sax/features/namespaces", false );
        }catch( SAXNotRecognizedException e ){ 
        }catch( SAXNotSupportedException  e ){ 
        }
    }
}
